# List change histories of a subscription Lists subscription change histories of a single version subscription. Each history maps to an order. See the subscriptions > fields, ratePlans > fields, and ratePlanCharges > fields fields for the changes in the subscription, subscription rate plans, and subscription rate plan charges. Note: This operation is only available if you have the following features turned on: - Orders - Single Version Subscription Endpoint: GET /v1/subscription-change-logs/{subscriptionNumber} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `subscriptionNumber` (string, required) The subscription number to be retrieved. ## Response 200 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. - `subscriptions` (array) Array of Subscriptions. - `subscriptions.subscriptionNumber` (string) Subscription number. - `subscriptions.accountNumber` (string) Account number. - `subscriptions.invoiceOwnerAccountNumber` (string) Invoice owner account number of the subscription. - `subscriptions.currency` (string) The currency of the subscription. - `subscriptions.orderNumber` (string) The order number of the order which created this subscription. - `subscriptions.version` (integer) The version of the subscription. - `subscriptions.changedTime` (string) The create time of the subscription. - `subscriptions.type` (string) The type of the subscription. Enum: "Standard", "OmniChannel" - `subscriptions.externalSubscriptionId` (string,null) External subscription ID. - `subscriptions.subscriptionStartDate` (string) Start date of the subscription. - `subscriptions.subscriptionEndDate` (string) End date of the subscription. - `subscriptions.termStartDate` (string) Term start date of the subscription. - `subscriptions.termEndDate` (string) Term end date of the subscription. - `subscriptions.ratePlans` (array) Represents the rate plans in this subscription. - `subscriptions.ratePlans.ratePlanNumber` (string) Rate plan number. - `subscriptions.ratePlans.ratePlanCharges` (array) Represents the charges in this rate plan. - `subscriptions.ratePlans.ratePlanCharges.chargeNumber` (string) Charge number. - `subscriptions.ratePlans.ratePlanCharges.ratePlanChargeId` (string) Rate plan charge ID. - `subscriptions.ratePlans.ratePlanCharges.effectiveStartDate` (string) Effective start date of this charge. - `subscriptions.ratePlans.ratePlanCharges.effectiveEndDate` (string) Effective end date of this charge. - `subscriptions.ratePlans.ratePlanCharges.fields` (array) Represents the fields whose values are changed for this charge. If the charge has no change, this field is empty. - `subscriptions.ratePlans.ratePlanCharges.fields.fieldName` (string) The field name. - `subscriptions.ratePlans.ratePlanCharges.fields.oldValue` (string,null) The old value of this field. - `subscriptions.ratePlans.ratePlanCharges.fields.newValue` (string) The new value of this field. - `subscriptions.ratePlans.fields` (array) Represents the fields whose values are changed for the rate plan. If the rate plan has no change, this field is empty. - `subscriptions.fields` (array) Represents the fields whose values are changed for this subscription. If the subscription has no change, this field is empty. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.